Open a room OLC draft
Look up the Dark Pawns admin API request and response contract. Sign in with a level 40 character and use the authenticated admin console session.
const url = 'https://example.com/admin/olc/room/example';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/admin/olc/room/exampleClaims a room lease and opens or recovers the player’s in-memory REDIT working copy.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Room VNUM.
Room VNUM.
Responses
Section titled “Responses”OK
object
object
object
object
object
Example generated
{ "dirty": [ "example" ], "kind": "example", "lease_expires_at": "2026-04-15T12:00:00Z", "lease_remaining_seconds": 1, "room": { "Description": "example", "Exits": { "additionalProperty": { "Description": "example", "Direction": "example", "DoorState": 1, "ExitInfo": 1, "Key": 1, "Keywords": "example", "ToRoom": 1 } }, "ExtraDescs": [ { "Description": "example", "Keywords": "example" } ], "Flags": [ "example" ], "Light": 1, "Name": "example", "ScriptFunctions": 1, "ScriptName": "example", "Sector": 1, "VNum": 1, "Zone": 1 }, "vnum": 1}default
Section titled “default”Error
object
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}